curl --request GET \
--url https://api.swarmd.ai/relay/v1/approvals \
--header 'Authorization: Bearer <token>'{
"totalPages": 123,
"totalElements": 123,
"numberOfElements": 123,
"size": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "<string>",
"contextId": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentMessageRole": "<string>",
"agentMessageText": "<string>",
"detectionSource": "AGENT_INPUT_REQUIRED",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentMessageData": "<string>",
"policyName": "<string>",
"matchedContent": "<string>",
"summary": "<string>",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"resolution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "APPROVED",
"message": "<string>",
"resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
}
],
"number": 123,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
},
"pageable": {
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123,
"offset": 123,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
}
},
"first": true,
"last": true,
"empty": true
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | HITL_REQUESTS | READ | HITL_REQUESTS:READ |
curl --request GET \
--url https://api.swarmd.ai/relay/v1/approvals \
--header 'Authorization: Bearer <token>'{
"totalPages": 123,
"totalElements": 123,
"numberOfElements": 123,
"size": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "<string>",
"contextId": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentMessageRole": "<string>",
"agentMessageText": "<string>",
"detectionSource": "AGENT_INPUT_REQUIRED",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentMessageData": "<string>",
"policyName": "<string>",
"matchedContent": "<string>",
"summary": "<string>",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"resolution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "APPROVED",
"message": "<string>",
"resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
}
],
"number": 123,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
},
"pageable": {
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123,
"offset": 123,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
}
},
"first": true,
"last": true,
"empty": true
}Documentation Index
Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
Use this file to discover all available pages before exploring further.
JWT token (USER, AGENT, or SERVICE auth)
PENDING, APPROVED, REJECTED Show child attributes